import project, os
import sys

from anuga.shallow_water.data_manager import sww2dem
from os import sep

time_dir = '20070419_065050_run' # HAT
#time_dir = '20070419_065018_run' # MSL
cellsize = 25
timestep = None
directory = project.output_dir
#name = directory + time_dir + sep + project.scenario_name
name = directory+time_dir+sep+project.scenario_name

is_parallel = False
if is_parallel == True: nodes = 4
print 'output dir:', name

var = [2,3] # depth and speed

for which_var in var:
    if which_var == 0:  # Stage
        outname = name + '_stage'
        quantityname = 'stage'

    if which_var == 1:  # Absolute Momentum
        outname = name + '_momentum_i1'
        quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  

    if which_var == 2:  # Depth
        outname = name + '_depth_facility'
        quantityname = 'stage-elevation'  

    if which_var == 3:  # Speed
        outname = name + '_speed_facility'
        quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-6/(stage-elevation))'  #Speed

    if which_var == 4:  # Elevation
        outname = name + '_elevation'
        quantityname = 'elevation'  #Elevation

    if is_parallel == True:
    #    print 'is_parallel',is_parallel
        for i in range(0,nodes):
            namei = name + '_P%d_%d' %(i,nodes)
            outnamei = outname + '_P%d_%d' %(i,nodes)
            print 'start sww2dem for sww file %d' %(i)
            sww2dem(namei, basename_out = outnamei,
                        quantity = quantityname,
                        timestep = timestep,
                        cellsize = cellsize,      
                        easting_min = project.e_min_area,
                        easting_max = project.e_max_area,
                        northing_min = project.n_min_area,
                        northing_max = project.n_max_area,        
                        reduction = max, 
                        verbose = True,
                        format = 'asc')
    else:
        print 'start sww2dem'
        sww2dem(name, basename_out = outname,
                    quantity = quantityname,
                    timestep = timestep,
                    cellsize = cellsize,      
                    easting_min = project.e_min_area,
                    easting_max = project.e_max_area,
                    northing_min = project.n_min_area,
                    northing_max = project.n_max_area,        
                    reduction = max, 
                    verbose = True,
                    format = 'asc')
